# ApplicationInstanceTelemetry

Game server telemetry requests

## GET /v3/telemetry/applicationInstance/{applicationInstanceId}/memory

> Get memory telemetry data for the given application instance (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceMemoryTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always `null` in this endpoint. This property is there\nfor consistency across all telemetry endpoints. It's `null` because the data is not aggregated","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceMemoryDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"ApplicationInstanceMemoryDataTelemetry":{"type":"object","required":["timestamp","memUsed"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"memUsed":{"type":"integer","format":"integer","description":"The amount of memory that is used by the ApplicationInstance (in megabytes)","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/{applicationInstanceId}/memory":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get memory telemetry data for the given application instance (default = last 24 hours)","operationId":"getTelemetryApplicationInstanceMemories","parameters":[{"name":"applicationInstanceId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceMemoryTelemetry"}}}}},"404":{"description":"Error Application instance not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/{applicationInstanceId}/cpu

> Get cpu telemetry data for the given application instance (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceCpuTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always `null` in this endpoint. This property is there\nfor consistency across all telemetry endpoints. It's `null` because the data is not aggregated","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceCpuDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"ApplicationInstanceCpuDataTelemetry":{"type":"object","required":["timestamp","cpu"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"cpu":{"type":"integer","format":"integer","description":"Percentage of cpu used across all cores","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/{applicationInstanceId}/cpu":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get cpu telemetry data for the given application instance (default = last 24 hours)","operationId":"getTelemetryApplicationInstanceCpus","parameters":[{"name":"applicationInstanceId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceCpuTelemetry"}}}}},"404":{"description":"Error Application instance not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/providerId

> Get how many application instances are currently deployed by providerId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstancesTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- minute\n- hour\n- day\n- week","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstancesDataTelemetry"},"description":"Average aggregated data of application instances","readOnly":true}},"additionalProperties":false},"ApplicationInstancesDataTelemetry":{"type":"object","required":["timestamp","applicationInstances"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The timestamp on which data is calculated","readOnly":true},"applicationInstances":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstancesDataProviderTelemetry"},"description":"List of application instances","readOnly":true}},"additionalProperties":false},"ApplicationInstancesDataProviderTelemetry":{"type":"object","required":["providerId","applicationInstanceCount"],"properties":{"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"applicationInstanceCount":{"type":"integer","format":"integer","description":"Number of application instances","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/providerId":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get how many application instances are currently deployed by providerId","operationId":"getTelemetryApplicationInstanceProviderIds","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/applicationInstance/aggregate?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstancesTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get the aggregated list of application instance by providerId

> Get the aggregated list of application instance status, according to give date range system will calculate the interval, possible interval options are as follows\
> \- minute\
> \- hour\
> \- day\
> \- month

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstancesTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- minute\n- hour\n- day\n- week","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstancesDataTelemetry"},"description":"Average aggregated data of application instances","readOnly":true}},"additionalProperties":false},"ApplicationInstancesDataTelemetry":{"type":"object","required":["timestamp","applicationInstances"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The timestamp on which data is calculated","readOnly":true},"applicationInstances":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstancesDataProviderTelemetry"},"description":"List of application instances","readOnly":true}},"additionalProperties":false},"ApplicationInstancesDataProviderTelemetry":{"type":"object","required":["providerId","applicationInstanceCount"],"properties":{"providerId":{"type":"integer","format":"integer","description":"Cloud provider ID. For a list of cloud providers see [`GET /v3/cloud/provider`](#/Cloud/get_v3_cloud_provider)","readOnly":true},"applicationInstanceCount":{"type":"integer","format":"integer","description":"Number of application instances","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/providerId/aggregate":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get the aggregated list of application instance by providerId","description":"Get the aggregated list of application instance status, according to give date range system will calculate the interval, possible interval options are as follows\n- minute\n- hour\n- day\n- month","operationId":"getTelemetryApplicationInstanceProviderIdAggregates","parameters":[{"name":"type","in":"query","description":"- 0: Both game and utilities<br />\n- 1: Only game (default)<br />\n- 2: Only utilities","schema":{"type":"string"}},{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter.<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/applicationInstance/providerId/aggregate?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}},{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstancesTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/deploymentProfile/status

> Get live status of application instances grouped by deployment profile

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceDeploymentProfileStatusTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always `null` in this endpoint. This property is there\nfor consistency across all telemetry endpoints. It's `null` because the data is not aggregated","nullable":true,"readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceDeploymentProfileStatusDataTelemetry"},"description":"Contains the data object by host type","readOnly":true}},"additionalProperties":false},"ApplicationInstanceDeploymentProfileStatusDataTelemetry":{"type":"object","required":["timestamp","deploymentProfiles"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Unix timestamp of the data","readOnly":true},"deploymentProfiles":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceDeploymentProfileStatusDeploymentProfileTelemetry"},"description":"Contains the deployment profiles","readOnly":true}},"additionalProperties":false},"ApplicationInstanceDeploymentProfileStatusDeploymentProfileTelemetry":{"type":"object","required":["deploymentProfileId","setup","offline","starting","online","allocated","deploymentRegions"],"properties":{"deploymentProfileId":{"type":"string","format":"","description":"The ID of the deployment profile","readOnly":true},"setup":{"type":"integer","format":"integer","description":"Average number of application instances with setup status","readOnly":true},"offline":{"type":"integer","format":"integer","description":"Average number of application instances with offline status","readOnly":true},"starting":{"type":"integer","format":"integer","description":"Average number of application instances with starting status","readOnly":true},"online":{"type":"integer","format":"integer","description":"Average number of application instances with online status","readOnly":true},"allocated":{"type":"integer","format":"integer","description":"Average number of application instances with allocated status","readOnly":true},"deploymentRegions":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceDeploymentProfileStatusDeploymentRegionTelemetry"},"description":"Contains the deployment regions","readOnly":true}},"additionalProperties":false},"ApplicationInstanceDeploymentProfileStatusDeploymentRegionTelemetry":{"type":"object","required":["deploymentRegionId","setup","offline","starting","online","allocated"],"properties":{"deploymentRegionId":{"type":"string","format":"","description":"The ID of the deployment region","readOnly":true},"setup":{"type":"integer","format":"integer","description":"Average number of application instances with setup status","readOnly":true},"offline":{"type":"integer","format":"integer","description":"Average number of application instances with offline status","readOnly":true},"starting":{"type":"integer","format":"integer","description":"Average number of application instances with starting status","readOnly":true},"online":{"type":"integer","format":"integer","description":"Average number of application instances with online status","readOnly":true},"allocated":{"type":"integer","format":"integer","description":"Average number of application instances with allocated status","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/deploymentProfile/status":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get live status of application instances grouped by deployment profile","operationId":"getTelemetryApplicationInstanceDeploymentProfileStatuses","parameters":[{"name":"type","in":"query","description":"- 0: Both game and utilities<br />\n- 1: Only game (default)<br />\n- 2: Only utilities","schema":{"type":"string"}},{"name":"filter","in":"query","description":"You can filter based on the following parameters<br />\n- deploymentProfileId<br />\n<p>The parameters can have a single value (e.g: deploymentProfileId=1734197255512241679) or a list of values (e.g: deploymentProfileId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentProfileId=8881688742569018542,76243584248556249<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentProfileId%3D8881688742569018542%2C76243584248556249<br />\nThe final endpoint call would look like: /telemetry/applicationInstance/status?filter=deploymentProfileId%3D8881688742569018542%2C76243584248556249</p>","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceDeploymentProfileStatusTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/status

> Get live status of application instances

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceStatusTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, possible interval options are as follows\n- minute\n- hour\n- day\n- week","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceStatusDataTelemetry"},"description":"Average aggregated data of application status","readOnly":true}},"additionalProperties":false},"ApplicationInstanceStatusDataTelemetry":{"type":"object","required":["timestamp","setup","offline","starting","online","allocated"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The timestamp on which data is calculated","readOnly":true},"setup":{"type":"integer","format":"integer","description":"Average number of application instances with setup status","readOnly":true},"offline":{"type":"integer","format":"integer","description":"Average number of application instances with offline status","readOnly":true},"starting":{"type":"integer","format":"integer","description":"Average number of application instances with starting status","readOnly":true},"online":{"type":"integer","format":"integer","description":"Average number of application instances with online status","readOnly":true},"allocated":{"type":"integer","format":"integer","description":"Average number of application instances with allocated status","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/status":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get live status of application instances","operationId":"getTelemetryApplicationInstanceStatuses","parameters":[{"name":"type","in":"query","description":"- 0: Both game and utilities<br />\n- 1: Only game (default)<br />\n- 2: Only utilities","schema":{"type":"string"}},{"name":"filter","in":"query","description":"You can filter based on the following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- deploymentRegionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: deploymentRegionId=8881688742569018542,76243584248556249)<br />\nA filter example is: deploymentRegionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/applicationInstance/status?filter=deploymentRegionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceStatusTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get the aggregated list of application instances status

> Get the aggregated list of application instance status, according to give date range system will calculate the interval, possible interval options are as follows\
> \- minute\
> \- hour\
> \- day\
> \- month

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceStatusTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, possible interval options are as follows\n- minute\n- hour\n- day\n- week","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceStatusDataTelemetry"},"description":"Average aggregated data of application status","readOnly":true}},"additionalProperties":false},"ApplicationInstanceStatusDataTelemetry":{"type":"object","required":["timestamp","setup","offline","starting","online","allocated"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The timestamp on which data is calculated","readOnly":true},"setup":{"type":"integer","format":"integer","description":"Average number of application instances with setup status","readOnly":true},"offline":{"type":"integer","format":"integer","description":"Average number of application instances with offline status","readOnly":true},"starting":{"type":"integer","format":"integer","description":"Average number of application instances with starting status","readOnly":true},"online":{"type":"integer","format":"integer","description":"Average number of application instances with online status","readOnly":true},"allocated":{"type":"integer","format":"integer","description":"Average number of application instances with allocated status","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/status/aggregate":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get the aggregated list of application instances status","description":"Get the aggregated list of application instance status, according to give date range system will calculate the interval, possible interval options are as follows\n- minute\n- hour\n- day\n- month","operationId":"getTelemetryApplicationInstanceStatusAggregates","parameters":[{"name":"type","in":"query","description":"- 0: Both game and utilities<br />\n- 1: Only game (default)<br />\n- 2: Only utilities","schema":{"type":"string"}},{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- regionId<br />\n- dcLocationId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: regionId=8881688742569018542,76243584248556249)<br />\nA filter example is: regionId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter.<br />\nE.g filter=regionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /telemetry/applicationInstance/status/aggregate?filter=regionId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}},{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceStatusTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/distribution/current

> Get the current distribution of application instances (of type Game) for bare metal, flex metal and cloud

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceDistribution":{"type":"object","required":["bareMetal","bareMetalPercentage","flexMetal","flexMetalPercentage","cloud","cloudPercentage","total"],"properties":{"bareMetal":{"type":"integer","format":"integer","description":"Amount of game instances on the bare metal","readOnly":true},"bareMetalPercentage":{"type":"integer","format":"integer","description":"Percentage of game instances on the bare metal","readOnly":true},"flexMetal":{"type":"integer","format":"integer","description":"Amount of game instances on the flex metal","readOnly":true},"flexMetalPercentage":{"type":"integer","format":"integer","description":"Percentage of game instances on the flex metal","readOnly":true},"cloud":{"type":"integer","format":"integer","description":"Amount of game instances in the cloud","readOnly":true},"cloudPercentage":{"type":"integer","format":"integer","description":"Percentage of game instances in the cloud","readOnly":true},"total":{"type":"integer","format":"integer","description":"Total amount of game instances","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/distribution/current":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get the current distribution of application instances (of type Game) for bare metal, flex metal and cloud","operationId":"getTelemetryApplicationInstanceDistributionCurrents","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceDistribution"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get the historic distribution of application instances (of type Game) for bare metal, flex metal and cloud

> Get the aggregated list of application instance status, according to give date range system will calculate the interval, possible interval options are as follows\
> \- minute\
> \- hour\
> \- day

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"InstanceDistributionTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- minute\n- hour\n- day\n- month","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/InstanceDistributionDataTelemetry"},"description":"Average aggregated data of application instances","readOnly":true}},"additionalProperties":false},"InstanceDistributionDataTelemetry":{"type":"object","required":["timestamp","bareMetal","bareMetalPercentage","flexMetal","flexMetalPercentage","cloud","cloudPercentage","total"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Unix timestamp of data","readOnly":true},"bareMetal":{"type":"integer","format":"integer","description":"Amount of game instances on the bare metal","readOnly":true},"bareMetalPercentage":{"type":"integer","format":"integer","description":"Percentage of game instances on the bare metal","readOnly":true},"flexMetal":{"type":"integer","format":"integer","description":"Amount of game instances on the flex metal","readOnly":true},"flexMetalPercentage":{"type":"integer","format":"integer","description":"Percentage of game instances on the flex metal","readOnly":true},"cloud":{"type":"integer","format":"integer","description":"Amount of game instances in the cloud","readOnly":true},"cloudPercentage":{"type":"integer","format":"integer","description":"Percentage of game instances in the cloud","readOnly":true},"total":{"type":"integer","format":"integer","description":"Total amount of game instances","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/distribution":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get the historic distribution of application instances (of type Game) for bare metal, flex metal and cloud","description":"Get the aggregated list of application instance status, according to give date range system will calculate the interval, possible interval options are as follows\n- minute\n- hour\n- day","operationId":"getTelemetryApplicationInstanceDistributions","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InstanceDistributionTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/hostCapacity/current

> Get the aggregated list of application instances (of type Game) for bare metal, flex metal and cloud

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceHostCapacityTelemetry":{"type":"object","required":["bareMetal","flexMetal","cloud"],"properties":{"bareMetal":{"type":"integer","format":"integer","description":"Percentage of game instances on the bare metal, based on the amount set in the host capacity template","readOnly":true},"flexMetal":{"type":"integer","format":"integer","description":"Percentage of game instances on the flex metal, based on the amount set in the host capacity template","readOnly":true},"cloud":{"type":"integer","format":"integer","description":"Percentage of game instances in the cloud, based on the amount set in the host capacity template","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/hostCapacity/current":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Get the aggregated list of application instances (of type Game) for bare metal, flex metal and cloud","operationId":"getTelemetryApplicationInstanceHostCapacityCurrents","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceHostCapacityTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationInstance/crash

> Count of crashes within a given time period for all application instances

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstanceTelemetry","description":"Game server telemetry requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationInstanceCrashTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceCrashDataTelemetry"},"description":"Contains the data object by host type","readOnly":true}},"additionalProperties":false},"ApplicationInstanceCrashDataTelemetry":{"type":"object","required":["timestamp","crashes"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Timestamp of the data","readOnly":true},"crashes":{"type":"integer","format":"integer","description":"The number of crashes of application instances","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationInstance/crash":{"get":{"tags":["ApplicationInstanceTelemetry"],"summary":"Count of crashes within a given time period for all application instances","operationId":"getTelemetryApplicationInstanceCrashes","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceCrashTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/applicationinstancetelemetry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
